Berkeley DB version 4.8.30

## com.sleepycat.db
Class HashStats

    java.lang.Object
      com.sleepycat.db.DatabaseStats
          com.sleepycat.db.HashStats

    public class HashStats

extends DatabaseStats

The HashStats object is used to return Hash database statistics.

Method Summary
`long` `getBFree()` TODO
`long` `getBigBFree()` TODO
`int` `getBigPages()` TODO
`int` `getBuckets()` TODO
`int` `getDup()` TODO
`long` `getDupFree()` TODO
`int` `getFfactor()` TODO
`int` `getFree()` TODO
`int` `getMagic()` TODO
`int` `getMetaFlags()` TODO
`int` `getNumData()` TODO
`int` `getNumKeys()` TODO
`int` `getOverflows()` TODO
`long` `getOvflFree()` TODO
`int` `getPageCount()` TODO
`int` `getPageSize()` TODO
`int` `getVersion()` TODO
`String` `toString()` For convenience, the HashStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMagic

    public int getMagic()

  TODO

### getVersion

    public int getVersion()

  TODO

### getMetaFlags

    public int getMetaFlags()

  TODO

### getNumKeys

    public int getNumKeys()

  TODO

### getNumData

    public int getNumData()

  TODO

### getPageCount

    public int getPageCount()

  TODO

### getPageSize

    public int getPageSize()

  TODO

### getFfactor

    public int getFfactor()

  TODO

### getBuckets

    public int getBuckets()

  TODO

### getFree

    public int getFree()

  TODO

### getBFree

    public long getBFree()

  TODO

### getBigPages

    public int getBigPages()

  TODO

### getBigBFree

    public long getBigBFree()

  TODO

### getOverflows

    public int getOverflows()

  TODO

### getOvflFree

    public long getOvflFree()

  TODO

### getDup

    public int getDup()

  TODO

### getDupFree

    public long getDupFree()

  TODO

### toString

    public String toString()

  For convenience, the HashStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.